GET DATA /TYPE=XLS
   /FILE="Copy of ICCs,ECCs,IECs.19Oct08.xls"
   /SHEET=name 'ICCs,ECCs'
   /CELLRANGE= range 'A1:C650'
   /READNAMES=on
   /ASSUMEDSTRWIDTH=32767 .

AGGREGATE OUTFILE = * / BREAK = author_names 
 / APA_style_citation = FIRST(APA_style_citation) .

STRING citation(A329) .
IF (INDEX(APA_style_citation,"*") = 0) citation = CONCAT("*",APA_style_citation) .
IF (INDEX(APA_style_citation,"*") = 1) citation = APA_style_citation .
EXECUTE .

SAVE TRANSLATE OUTFILE='Reference_list.xls'
  /TYPE=XLS /VERSION=8 
  / KEEP = citation
  /MAP /REPLACE /FIELDNAMES /CELLS=VALUES .

*******************************************************************

GET DATA /TYPE=XLS
   /FILE="Copy of Reference_list.xls"
   /SHEET=name 'References'
   /CELLRANGE= range 'A1:A196'
   /READNAMES=on
   /ASSUMEDSTRWIDTH=32767 .

STRING citation2(A329) .
IF (INDEX(citation,"*") = 0) citation2 = CONCAT("*",citation) .
IF (INDEX(citation,"*") = 1) citation2 = citation .
EXECUTE .

SORT CASES BY citation2 .

SAVE TRANSLATE OUTFILE='Reference_list2.xls'
  /TYPE=XLS /VERSION=8 
  / KEEP = citation
  /MAP /REPLACE /FIELDNAMES /CELLS=VALUES .

