* Siri Carpenter;
*  September 7, 1997;
*  inferential statistics for Study 3;
*  using LRT data for IAT;

options linesize=86;

libname alllib 'g:\prediss\study3\sas\std3data';

data temp;
  set alllib.lrtdata;

*create two groups for which period subjects were run in;
if subject ge 100 then sample=1;
if subject le 50 then sample=2;

proc sort data=temp; by subgend;  run;

proc glm;
  class subgend;
  model gfngmps gfpsmng=subgend/nouni;
  repeated gconfig 2/nom;
  title '2-Way ANOVA: Configuration x Subgend Effect on General IAT';
  run;

proc glm;
  class subgend;
  model spfngmps spfpsmng=subgend/nouni;
  repeated spconfig 2/nom;
  title '2-Way ANOVA: Configuration x Subgend Effect on Specific IAT';
  run;
