GET SAS DATA='LRTDATA.SD2'.
*DESCRIPTIVES ALL .

*drop variables that appear only for SUBJECT=18 .
DELETE VARIABLES COL29 TO COL56 .
DESCRIPTIVES ALL .

*Here are the variables to be used.  
*RAI indices are based on differences between means of log RTs.

CORRELATIONS RAIFSPEC  RAIMSPEC  RAIFGEN  RAIMGEN .

COMPUTE specific_leaders_IAT = RAIMSPEC - RAIFSPEC .
COMPUTE general_leaders_IAT = RAIMGEN - RAIFGEN .
EXECUTE .

SORT CASES BY subgend .
SPLIT FILE BY subgend .
CORRELATIONS vote general_leaders_IAT specific_leaders_IAT .
SPLIT FILE OFF .

CORRELATIONS vote general_leaders_IAT specific_leaders_IAT .

CORRELATIONS vote RAIFSPEC  RAIMSPEC  RAIFGEN  RAIMGEN .

